(Solved) Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
jacobsm
Level 1
Level 1
Posts: 31
Joined: Sun Nov 11, 2018 10:13 am

(Solved) Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Post by jacobsm »

Hi,

Is it possible to install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) or should I first upgrade to Ubuntu 18.04 as suggested here : https://software.opensuse.org/download/ ... e%3Amaster

Brgds,
Michael
Last edited by jacobsm on Fri Jan 03, 2020 5:49 am, edited 2 times in total.
Hoser Rob
Level 16
Level 16
Posts: 6826
Joined: Sat Dec 15, 2012 8:57 am

Re: Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Post by Hoser Rob »

It's possible to try, Linux, unlike WInddows, will let you do about anything if you have the right password. But that does NOT mean it'll work.

If you're trying to install via ppa or .deb rather than the repos for your release, pay attention to the messages it gives you (actually ALWAYS do this). If it's telling you it will have to remove some existing software before it can install the dependency software of the program in question, ABORT and then remove the ppa from sources.
User avatar
BenTrabetere
Level 6
Level 6
Posts: 1351
Joined: Sat Jul 19, 2014 12:04 am
Location: Hattiesburg, MS USA

Re: Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Post by BenTrabetere »

Let me start with suggesting you avoid this PPA - I am not aware of it causing any problems, but I think it is more prudent to wait for Pascal de Bruijn to update the "official" PPA. Also, unless I am mistaken this PPA will not update a LM 18.x system past dt 2.4.4. The "official" PPA is also stuck at 2.4.4.

If you decide to stick with LM 18.x, the only way forward is to use either the flatpak or the Snap package. Both currently are at 2.6.3, but I suspect they will update to dt 3.0 sometime soon.

I suggest you stick with the "official" PPA if you decide to update to LM 19.x.
jacobsm
Level 1
Level 1
Posts: 31
Joined: Sun Nov 11, 2018 10:13 am

Re: Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Post by jacobsm »

Thanks, then I'll wait.

Not sure if it's a good idea to already upgrade to LM 19 or to wait and see when Darktable 3.0 will be ready on any of the suggested solutions.
jacobsm
Level 1
Level 1
Posts: 31
Joined: Sun Nov 11, 2018 10:13 am

Re: (Solved) Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Post by jacobsm »

I finally upgraded successfully to Tricia. (Upgrade took about 24 hours !)

Upgrade instructions :
https://community.linuxmint.com/tutorial/view/2416
https://www.tecmint.com/upgrade-to-linux-mint-19/

Then I installed the latest Darktable that I found here :
https://software.opensuse.org/package/darktable
https://software.opensuse.org/download/ ... e%3Amaster

Both worked fine.
kaie
Level 3
Level 3
Posts: 125
Joined: Fri Dec 09, 2016 3:21 pm

Re: (Solved) Install new Darktable 3.0 on Linux Mint Sylvia (Ubuntu 16.04) ?

Post by kaie »

I guess, the Linux guys are great at OS and stuff, but Darktable is a RAW converter and that's not the same thing like for example LibreOffice.

Every camera has it's own RAW file format. For example, take the Nikon D7100 and the Nikon D7200. The RAW files of those two cameras are different, even though it is the same manufacturer. The file extension is the same, for example d7100.nef and d7200.nef, but the files are not. So if your RAW converter is able to open the RAW files of the D7100, it doesn't mean, that it will also be able to open the RAW files of the D7200. That's why it is much more important to get the updates. It is not about features, it is to be even usable as a converter. Not having updates will kill a RAW converter over time. That's the reason, why I haven't bought AftershotPro for Linux. I was willing to spend money, but it couldn't open my RAW files. And it is a matter of trust. If your camera is let's say half a year old, or even two month and the converter can't open the RAW file, you don't trust the developers of that software to get out updates in time.
Let's hope, the updated version of Darktable will be availlable soon.
Linux Mint 19.1 MATE 64bit
Post Reply

Return to “Software & Applications”